KoboTerminalNGX API DocsGet a free API key

All NGX indices

All 21 NGX indices: ASI, NGX30, NGX Premium, NGX Pension, Banking, Insurance, Consumer Goods, Oil & Gas, Industrial, Lotus Islamic, ASeM and more, with week, month, year and inception change.

http
GET https://koboterminal.com/api/ngxdata/indices

Plan: Free and above (free key, no card).

Request

bash
curl "https://koboterminal.com/api/ngxdata/indices" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/ngxdata/indices",
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/indices", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

json
{
  "success": true,
  "source": "NGX chartdata",
  "updated_at": "2026-11-18T23:18:08.326Z",
  "count": 21,
  "data": [
    {
      "code": "ASI",
      "slug": "asi",
      "name": "NGX ALL SHARE INDEX",
      "description": "The All-Share Index tracks the general market movement of all listed equities on Nigerian Exchange, including those listed on the Growth Board, regardless of capitalization.",
      "currentPrice": 248329.65,
      "changePercentage": -0.4,
      "currentDateTime": "2026-11-18T23:17:53.968Z",
      "points": 7636,
      "weekChange": -1.58,
      "monthChange": 0.32,
      "yearChange": 71.07,
      "inceptionChange": 4641.78
    }
  ]
}

Fields

FieldTypeDescription
data[].codestringIndex code, e.g. ASI, NGX30, NGXBNK, NGXPENSION
data[].currentPricenumberIndex level
data[].changePercentagenumberChange today, percent
data[].weekChange / monthChange / yearChange / inceptionChangenumber|nullPercent change over each window

Use it from an AI assistant

This endpoint is available as the list_indices tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.

Errors

Standard errors apply: see Rate limits and errors.